/*!
 * Facebook Like Control
 *
 * @since 1.0.0
 * @pacakge core
*/
var FacebookLike = ControlBase.extend({

	sdk: 'facebook',
	name: 'facebook-like',

	defaults: {
		url: null,
		button_title: null,
		layout: 'button_count',
		width: null,
		action: 'like',
		colorscheme: 'light',
		ref: null
	},

	init: function() {

		if ( this.locker.is_vertical() ) {
			this.options.layout = 'box_count';
		}

		if ( ! this.locker.has_counters() ) {
			this.options.layout = 'button';
		}
	},

	create_events: function() {

		var self = this;
		$( document ).on( 'mts-cl-facebook-like', function() {
			//self.locker.unlock( 'button', self.name, self );
			cl.active_locker.unlock( 'button', self.name, self );
		});
	},

	_render: function() {
		var self = this,
			attributes = {
				'class': 'fb-like',
				'data-show-faces': false,
				'data-share': false,
				'data-href': self.options.url,
				'data-colorscheme': self.options.colorscheme,
				'data-layout': self.options.layout,
				'data-action': self.options.action
			};

		if ( self.options.ref ) {
			attributes['data-ref'] = self.options.ref;
		}
		if ( self.options.width ) {
			attributes['data-width'] = self.options.width;
		}

		var control = $( '<div></div>', attributes );
		self.el.replaceWith( control );

		FB.XFBML.parse( self.container[0] );

		return this;
	}
});
cl.controls['facebook-like'] = FacebookLike;
