/*!
 * Localization
 *
 * @since 1.0.0
 * @pacakge core
*/
var Localization = {

	defaults: {

		// The Screen "Please Confirm Your Email"
		confirm: {
			screen_title: 'Please Confirm Your Email',
			screen_instruction: 'We have sent a confirmation email to {email}. Please click on the confirmation link in the email to reveal the content.',
			screen_note1: 'The content will be unlocked automatically within 10 seconds after confirmation.',
			screen_note2: 'Note delivering the email may take several minutes.',

			screen_cancel: '(cancel)',
			screen_open: 'Open my inbox on {service}'
		},

		// The Screen "One Step To Complete"
		onestep: {
			screen_title:		'One Step To Complete',
			screen_instruction:	'Please enter your email below to continue.',
			screen_button:		'OK, complete'
		},

		// Miscellaneous
		misc: {
			data_processing:	'Processing data, please wait...',

	        enter_your_name:	'enter your name',
	        enter_your_email:	'enter your email address',

	        your_agree_with:	'By clicking on the button(s), you agree with {links}',
	        terms_of_use:		'Terms of Use',
	        privacy_policy:		'Privacy Policy',

	        close:		'Close',
			or:			'OR'
		},

		// Errors & Notices
		error: 'error',

		errors: {
			empty_email:	'Please enter your email address.',
        	incorrect_email:'It seems you entered an incorrect email address. Please check it.',
        	empty_name:		'Please enter your name.',

			not_signed_in:	'Sorry, but you have not signed in. Please try again.',
			not_granted:	'Sorry, but you have not granted all the required permissions ({permissions}). Please try again.'
		},

		// Notices
		notices: {
			unable_create_control: 'Unable to create ({0}). Please make sure that nothing blocks loading of social scripts in your browser. Some browser extentions (Avast, PrivDog, AdBlock etc.) can cause this issue. Turn them off and try again.',
			empty_youtube_channelid: 'Please set your Youtube Channel ID.',
			empty_google_clientid: 'Please set your Google Client ID.',
			empty_linkedin_clientid: 'The LinkedIn Client ID or Client Secret is not set. You need to set these settings before using the button.',
			empty_twitter_username: 'Please set your twitter username to follow.',
			invlid_facebook_app_id: 'Invalid App ID or given URL is not allowed by the Application configuration: One or more of the given URLs is not allowed by the App\'s settings.  It must match the Website URL or Canvas URL, or the domain must be a subdomain of one of the App\'s domains.',
			no_spam: 'Your email address is 100% safe from spam!',
			unexpected_error: 'Unable to sign in. Unexpected error occurred: {0}',
			no_user_data: 'Unable to get user data',

			missed_twitter_user: 'Please specify the Twitter user name to follow.',
			missed_twitter_message: 'Please specify the message to tweet.',
			tweet_not_found: 'Please make sure that you have posted the tweet. Unfortunately we have not manage to find the tweet in your account.'
		}
	},

	init: function() {
		cl.__ = cl.__.defaults;
		if ( _.has( window, '__contentlocker' ) && _.has( __contentlocker, 'lang' ) ) {
			cl.__ = $.extend( true, {}, cl.__, __contentlocker.lang );
		}
	}
};

// Init Localization
cl.__ = Localization;
cl.__.init();
