/*!
 * Locker Manager
 *
 * @since 1.0.0
 * @pacakge core
*/
var Manager = {

	// Variables
	initialized: false,

	// Functions
	init: function() {

		if ( this.initialized ) {
			return;
		}

		var manager = this;

		if ( ! cl.settings.get( 'managed_hook' ) ) {
			manager.create_lockers( null, true );
		} else {
			$( document ).bind( cl.settings.get( 'managed_hook' ), function( event, container, ignorePageview ) {
				manager.create_lockers( container, ignorePageview );
			});
		}

		manager.initialized = true;
		$( document ).trigger( 'cl-init' );
	},

	create_lockers: function( container, ignorePageview ) {

		container = container || $( document );

		// Create Lockers
		var inline = this.create_inline_lockers( container );
		var css = this.create_css_lockers( container );

		// Execute Lockers
		if ( ( inline || css ) && ! this.initialized ) {

			if ( ! ignorePageview ) {
				this.add_pageview();
			}

			this.add_lockerview();
		}

		_.each( inline, function( locker ) {
			locker.init();
		} );
		_.each( css, function( locker ) {
			locker.init();
		} );
	},

	create_inline_lockers: function( container ) {

		container = container || $( document );

		var lockers = [];

		container.find( '.content-locker-call' ).each(function() {
			var el = $( this ),
				lockerID = el.data( 'locker-id' );

			if ( ! el.data( 'locker-init' ) ) {

				var data;
				if ( _.has( __contentlocker.lockers, lockerID ) ) {
					data = __contentlocker.lockers[lockerID];
				} else {
					data = $.parseJSON( el.next().text() );
					el.next().remove();
				}

				el.data( 'locker-init', true );
				el.removeClass( 'content-locker-call' );

				if ( 'social-locker' === data.type ) {
					lockers.push( new cl.SocialLocker( el, data ) );
				} else if ( 'signin-locker' === data.type ) {
					lockers.push( new cl.SigninLocker( el, data ) );
				}
			}
		});

		return lockers;
	},

	create_css_lockers: function( container ) {

		container = container || $( document );

		var lockers = [];

		return lockers;
	},

	add_pageview: function() {},
	add_lockerview: function() {},

	// VisitorID
	get_visitor_id: function() {

		var visitorID = cl.helpers.store.get(  'mts_cl_visitor_id' );
		if ( visitorID ) {
			return visitorID;
		}

		visitorID = cl.helpers.guid();
		cl.helpers.store.set( 'mts_cl_visitor_id', visitorID, { expires: '365d' } );

		return visitorID;
	}
};
cl.manager = Manager;

// Create Now
$(function() {
	cl.manager.init();
});
