// Facebook SDK
cl.sdk.facebook = {
	name: 'facebook',
	id: 'facebook-jssdk',
	url: '',
	setup: false,

	is_loaded: function() {
		return 'object' === typeof window.FB;
	},

	init: function() {

		if ( 0 === $( '#fb-root' ).length ) {
			$( 'body' ).append( '<div id="fb-root"></div>' );
		}

		this.url = '//connect.facebook.net/' + cl.settings.get( 'lang' ) + '/sdk.js';
	},

	prepare: function() {

		if ( this.is_loaded() && this.setup ) {
			return;
		}

		var settings = cl.settings.get( 'facebook' );
		window.FB.init({
			appId: settings && settings.appid || null,
			status: true,
			cookie: true,
			version: settings.version
		});

		window.FB.Event.subscribe( 'edge.create', function( url, el ) {
			$( document ).trigger( 'mts-cl-facebook-like', [url, el] );
		});

		$( document ).trigger( 'facebook-init' );

		this.setup = true;
	},

	events: function() {

		var self = this;

		if ( self.is_loaded() ) {
			self.prepare();
		} else {
			if ( window.fbAsyncInit ) {
				var original = window.fbAsyncInit;
			}

			window.fbAsyncInit = function() {
				self.prepare();

				if ( original ) {
					original();
				}
			};
		}
	}
};
