
// Google SDK
cl.sdk.google = {
	name: 'google',
	id: 'google-jssdk',
	url: '//apis.google.com/js/client:platform.js?onload=mts_cl_google_client_callback',
	setup: false,

	is_loaded: function() {
		return window.gapi && 'object' === typeof window.gapi.auth;
	},

	prepare: function() {

		if ( this.is_loaded() && this.setup ) {
			return;
		}

		window.google_plusone_callback = function( data ) {

			if ( 'on' === data.state ) {
				$( document ).trigger( 'mts-cl-google-plus', [data] );
			}
		};

		window.google_plusone_start_interaction = function( data ) {
			cl.sdk.google.__google_share_url = data.id;
		};

		var self = this;
		self.not_authed = false;

		if ( ! cl.settings.get( 'is_mobile' ) && ! cl.settings.get( 'is_tablet' ) && window.addEventListener ) {
			window.addEventListener( 'message', function( obj ) {
				if ( obj && obj.data && 'string' === typeof obj.data && -1 === obj.data.indexOf( 'oauth2relay' ) ) {
					if ( -1 !== obj.data.indexOf( '::drefresh' ) ) {
						self.not_authed = true;
						return;
					}
					if ( -1 !== obj.data.indexOf( '::_g_wasClosed' ) || -1 !== obj.data.indexOf( '::_g_closeMe' ) ) {
						if ( self.not_authed ) {
							self.not_authed = false;
							return;
						}

						$( document ).trigger( 'mts-cl-google-share', [cl.sdk.google.__google_share_url] );
					}
				}
			}, false );
		}

		$( document ).trigger( 'google-init' );

		this.setup = true;
	},

	events: function() {
		var self = this;

		if ( ! window.gapi ) {
			window.___gcfg = {
				lang: cl.settings.get( 'lang' )
			};
		}

		window.mts_cl_google_client_callback = function() {
			self.prepare();
		};
	}
};
